org.apache.xml.utils

## Class XMLStringFactoryDefault

- java.lang.Object
- - org.apache.xml.utils.XMLStringFactory
  - - org.apache.xml.utils.XMLStringFactoryDefault

-     public class XMLStringFactoryDefault
      extends XMLStringFactory

  The default implementation of XMLStringFactory. This implementation creates XMLStringDefault objects.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMLStringFactoryDefault()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `XMLString` | `emptystr()` Get a cheap representation of an empty string.
    `XMLString` | `newstr(char[] string, int start, int length)` Create a XMLString from a FastStringBuffer.
    `XMLString` | `newstr(FastStringBuffer fsb, int start, int length)` Create a XMLString from a FastStringBuffer.
    `XMLString` | `newstr(java.lang.String string)` Create a new XMLString from a Java string.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XMLStringFactoryDefault

          public XMLStringFactoryDefault()

  - ### Method Detail

    - #### newstr

          public XMLString newstr(java.lang.String string)

      Create a new XMLString from a Java string.
      Specified by:
        `newstr` in class `XMLStringFactory`
      Parameters:
        `string` - Java String reference, which must be non-null.
      Returns:
        An XMLString object that wraps the String reference.

    - #### newstr

          public XMLString newstr(FastStringBuffer fsb,
                                  int start,
                                  int length)

      Create a XMLString from a FastStringBuffer.
      Specified by:
        `newstr` in class `XMLStringFactory`
      Parameters:
        `fsb` - FastStringBuffer reference, which must be non-null.
        `start` - The start position in the array.
        `length` - The number of characters to read from the array.
      Returns:
        An XMLString object that wraps the FastStringBuffer reference.

    - #### newstr

          public XMLString newstr(char[] string,
                                  int start,
                                  int length)

      Create a XMLString from a FastStringBuffer.
      Specified by:
        `newstr` in class `XMLStringFactory`
      Parameters:
        `string` - FastStringBuffer reference, which must be non-null.
        `start` - The start position in the array.
        `length` - The number of characters to read from the array.
      Returns:
        An XMLString object that wraps the FastStringBuffer reference.

    - #### emptystr

          public XMLString emptystr()

      Get a cheap representation of an empty string.
      Specified by:
        `emptystr` in class `XMLStringFactory`
      Returns:
        An non-null reference to an XMLString that represents "".

Copyright © 2023 Apache XML Project. All Rights Reserved.